# prime-config.rb: Setting of global variables and default variables for PRIME.
# $Id: prime-config.rb.in,v 1.1.1.1 2003/05/28 17:48:18 komatsu Exp $
#
# Copyright (C) 2003 Hiroyuki Komatsu <komatsu@taiyaki.org>
#     All rights reserved.
#     This is free software with ABSOLUTELY NO WARRANTY.
#
# You can redistribute it and/or modify it under the terms of 
# the GNU General Public License version 2.

PRIME_USER_DIR    = ENV['PRIME_USER_DIR']    || ENV['HOME'] + '/.prime'
PRIME_GRAMMAR_DIR = ENV['PRIME_GRAMMAR_DIR'] || '/usr/share/prime/grammar'
PRIME_CONFIG_DIR  = ENV['PRIME_CONFIG_DIR']  || '/etc/prime'
PRIME_DOC_DIR     = ENV['PRIME_DOC_DIR']     || '/usr/share/doc/prime'

#### Default settings
PRIME_ENV = {}

## Enginges: kana-kanji conversion engines.
PRIME_ENV['engines'] = ['prime/engine/engine-basic',
                        'prime/engine/engine-alphabet',
                        'prime/engine/engine-learndict2']

## Suikyo: romaji-kana conversion library.
PRIME_ENV['suikyo_tables']         = ["romaji-kana"]
PRIME_ENV['suikyo_reverse_tables'] = ["kana-romaji"]
PRIME_ENV['suikyo_use_cache']      = true
